Name:          libXi
Version:       1.7.2
Release:       1mamba
Summary:       X.Org input library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://x.org
Source:        ftp://ftp.freedesktop.org/pub/individual/lib/libXi-%{version}.tar.bz2
Patch0:        %{name}-1.4.3-Handle-unknown-device-classes.patch
License:       MIT
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: inputproto-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: inputproto-devel >= 2.2
Obsoletes:     libXorg

%description
X.Org input library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libXorg-devel

%description devel
X.Org Xi library.

This package contains static libraries and header files need for development.

%prep
%setup -q
#%patch0 -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libXi.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/XInput.h
%{_includedir}/X11/extensions/XInput2.h
%{_libdir}/libXi.a
%{_libdir}/libXi.la
%{_libdir}/libXi.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
%dir %{_docdir}/libXi
%{_docdir}/libXi/*
%doc ChangeLog

%changelog
* Thu Jul 18 2013 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic update by autodist

* Thu Jun 27 2013 Automatic Build System <autodist@mambasoft.it> 1.7.1.901-1mamba
- automatic version update by autodist

* Sat Apr 06 2013 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Sat Mar 09 2013 Automatic Build System <autodist@mambasoft.it> 1.7-1mamba
- automatic version update by autodist

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 1.6.99.1-1mamba
- automatic version update by autodist

* Fri Jul 06 2012 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Sat Oct 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3-2mamba
- added Handle-unknown-device-classes patch to fix application crash on resume (i.e. nm-applet 0.9.0)

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic update by autodist

* Tue Mar 29 2011 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic update by autodist

* Sat Nov 20 2010 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic update by autodist

* Sun Aug 15 2010 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic update by autodist

* Mon Oct 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1mamba
- update to 1.3

* Wed Apr 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Tue Feb 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-1mamba
- update to 1.1.3

* Tue Jul 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1qilnx
- update to version 1.0.2 by autospec

* Thu Dec 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1qilnx
- package created by autospec
